# Documentation maker

## Introduction

This library contains CLI tools for generating documentation and config schemas 

 ### Links
 
 - PYPI project code: [https://pypi.org/project/kcf.tools/](https://pypi.org/project/kcf.tools/)

# Quick start
 
## Installation 
 
 The package may be installed via PIP:
 
 ```
pip install kcf.tools
```


## Functionality

There are many functions of this CLI tool. They are all explained in the subsections of this section. 
If you forget any, you can type 'kcf_help', this will print all possible options.

All generated files will go into the 'generated' directory


### Readme Generator
To generate a readme run the command 'generate_readme' 

The readme generator uses the component config to generate a readme file.

### Help Documentation Generator
To generate help documentation (for help.keboola.com) run the command 'generate_help' 

The help generator uses the component config to generate an index.md in the necessary directory.

### Generate Config Schema

To generate a config schema run the command 'generate_config_schema'

This will take the parameters in the config.json and create a config schema and config row schema
based on some questions answered with the cli tool.

### Key Definition Generator

To generate key definitions run the command 'generate_key_definitions'.

This will use the config.json file to generate all key definitions.

###  Client Generator

To generate a client run the command 'generate_client'.

This will generate a client based on an user inputted client name